CONVERT A WHITEBOX ENTERPRISE LINUX 4 MACHINE TO CENTOS 4

It has been found that the instructions for converting from WBEL3->CentOS3 are not accurate for WBEL4->Cent0S4.

Here's what Cris Rhea came up with to migrate from WBEL4 to CentOS4...

rpm --import http://mirror.centos.org/centos-4/4/os/i386/RPM-GPG-KEY-centos4
rpm -e diskdumputils
rpm -Uhv http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/initscripts-7.93.25.EL-1.centos4.i386.rpm
rpm -Uhv http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/centos-release-4-4.2.i386.rpm
rpm -Uhv http://mirror.centos.org/centos-4/4.4/os/i386/CentOS/RPMS/python-elementtree-1.2.6-4.2.1.i386.rpm
rpm -Uhv http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/sqlite-3.3.3-1.2.i386.rpm
rpm -Uhv http://mirror.centos.org/centos-4/4.4/os/i386/CentOS/RPMS/python-sqlite-1.1.7-1.2.i386.rpm
rpm -Uhv http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/python-urlgrabber-2.9.8-2.noarch.rpm

At this point I (Francies) had a conflict:

file /usr/lib/python2.3/site-packages/urlgrabber/mirror.py from install of python-urlgrabber-2.9.8-2 conflicts with file from package yum-2.2.0-0.fc3

So I did: rpm - e yum-2.2.0-0.fc3

Then:

rpm -Uhv http://mirror.centos.org/centos-4/4/os/i386/CentOS/RPMS/python-urlgrabber-2.9.8-2.noarch.rpm
rpm -Uhv http://mirror.centos.org/centos-4/4.4/os/i386/CentOS/RPMS/yum-2.4.3-1.c4.noarch.rpm

At this point, you may edit /etc/yum.repos.d/CentOS-Base.repo to point to a specific site if you wish (such as an internal mirror site).

If it is a WBEL machine which has been updated in the past, remove the file wbelmirrors.repo and any other wbel files in repos.d.

Next:

 yum list updates
Make sure /var has enough space... (maybe >2.5GB). If not, edit /etc/yum.conf to point to a dir on a larger file system.

yum update
After install of all patches, reboot.

If you changed /etc/yum.conf, you can change it back now (since future updates will be much smaller in total size).

The version numbers above were accurate as of 15 Feb 2007.

Note: On a machine which had a recently updated copy of WBEL4 I also had to force the install of python-sqlite for some reason:
rpm -Uhvf http://mirror.centos.org/centos-4/4.4/os/i386/CentOS/RPMS/python-sqlite-1.1.7-1.2.i386.rpm


Home  |  Problems Solved | Printing  | Samba | Windows Corner  | WBEL to CentOS  |  Oddments